declare const _default: import("@postgresql-typed/util").PgTExtension<PgTTzSwitcherOptions>;
export default _default;
export interface PgTTzSwitcherOptions {
    /**
     * Format a timestamp column to a different timezone
     *
     * @default false
     */
    timestamp?: TzSwitcher | false;
    /**
     * Format a timestamp with timezone column to a different timezone
     *
     * @default false
     */
    timestamptz?: TzSwitcher | false;
    /**
     * Format a time column to a different timezone
     *
     * @default false
     */
    time?: TzSwitcher | false;
    /**
     * Format a time with timezone column to a different timezone
     *
     * @default false
     */
    timetz?: TzSwitcher | false;
}
export interface TzSwitcher {
    /**
     * The timezone to convert from (What is stored in the database)
     *
     * @example "UTC"
     */
    from: string;
    /**
     * The timezone to convert to (What you want to use in your application)
     *
     * @example "America/New_York"
     */
    to: string;
}
